package com.ynet.life.error;

import com.ynet.gene.core.GENEException;
import com.ynet.life.base.LifeDBAccess;
import com.ynet.life.base.LifeStandard;
import com.ynet.life.base.Trace;
import com.ynet.life.exception.TranFailException;
import com.ynet.life.loaf.jdbc.LoafQueryFactory;
import com.ynet.life.loaf.jdbc.LoafQueryInterface;
import java.sql.Connection;
import java.sql.PreparedStatement;
import java.sql.SQLException;
import java.util.ArrayList;
import java.util.List;

/* loaded from: com_ynet_life_error.jar:com/ynet/life/error/ErrorMessageJDBC.class */
public class ErrorMessageJDBC {
    private static final String RECORD_ERRORMESSAGE = "INSERT INTO FSP_RECORD_ERROR(FRE_BSNCODE,FRE_ERRCODE,FRE_ERRMESSAGE,FRE_RECORDTIME) VALUES(?,?,?,?)";

    public static void recordErrorMessage(String bsnCode, String errorCode, String errorMessage) {
        String dataSource;
        if (LifeDBAccess.DB_DATA_SOURCE != null) {
            dataSource = LifeDBAccess.DB_DATA_SOURCE;
        } else {
            dataSource = "ebank_ds";
        }
        Connection connection = null;
        try {
            PreparedStatement ps = null;
            try {
                try {
                    try {
                        List input = new ArrayList();
                        input.add(bsnCode);
                        input.add(errorCode);
                        input.add(errorMessage);
                        input.add(LifeStandard.getServerTime("yyyy年MM月dd日 HH:mm:ss SSS"));
                        LoafQueryInterface query = LoafQueryFactory.getNewQuery("", "", RECORD_ERRORMESSAGE);
                        connection = LifeDBAccess.getConnection(dataSource);
                        PreparedStatement queryStatement = query.getQueryStatement(connection, input);
                        ps = queryStatement;
                        int changeCount = queryStatement.executeUpdate();
                        connection.commit();
                        Trace.logDebug("LOAF", "SQL执行影响的记录条数--->".concat(String.valueOf(changeCount)));
                        LifeDBAccess.cleanResources(ps);
                    } finally {
                    }
                } catch (SQLException se) {
                    Trace.logError("LOAF", "记录平台错误信息失败", se);
                    Trace.logError("LOAF", se.getMessage(), se);
                    LifeDBAccess.cleanResources(ps);
                }
                try {
                    LifeDBAccess.releaseConnection(dataSource, connection);
                } catch (TranFailException e) {
                    Trace.logError("LOAF", e.getMessage(), e);
                }
            } catch (GENEException empe) {
                Trace.logError("LOAF", empe.getMessage(), empe);
                try {
                    LifeDBAccess.releaseConnection(dataSource, connection);
                } catch (TranFailException e2) {
                    Trace.logError("LOAF", e2.getMessage(), e2);
                }
            }
        } catch (Throwable th) {
            try {
                LifeDBAccess.releaseConnection(dataSource, connection);
            } catch (TranFailException e3) {
                Trace.logError("LOAF", e3.getMessage(), e3);
            }
            throw th;
        }
    }
}
